%define	name	ntfs-3g
%define	version	1.2918
%define	release	%mkrel 1

%define build_external_fuse 0
%if %mdkversion > 200900
%define build_external_fuse 1
%endif

Summary:	Read-write ntfs driver
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		System/Base
Source: 	http://ntfs-3g.org/%{name}-%{version}.tgz
Source1:	10-ntfs-3g-policy.fdi
Patch0:		ntfs-3g-1.2216-nomtab.patch
URL:		http://ntfs-3g.org/
Obsoletes:      %mklibname ntfs-3g 0
Obsoletes:      %mklibname ntfs-3g 2
Obsoletes:      %mklibname ntfs-3g 10
Obsoletes:      %mklibname ntfs-3g 14
Obsoletes:      %mklibname ntfs-3g 16
Obsoletes:      %mklibname ntfs-3g 23
%if %build_external_fuse
Buildrequires:  fuse-devel >= 2.8
Requires:	fuse >= 2.8
Requires(pre):	fuse >= 2.8
%else
Requires:	kmod(fuse)
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The ntfs-3g package contains NTFS filesystem driver with read and 
write support. It provides safe and fast handling of MS Windows Vista, 
XP, 2000 and Server 2003 NTFS file systems. Most POSIX file system 
operations are supported, with the exceptions of full file 
ownership and access right support.

%package	devel
Summary:	Header files and static libraries for ntfs-3g
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %name
Obsoletes:	%mklibname -d %name 0
Obsoletes:      %mklibname -d %name 2
Obsoletes:      %mklibname -d %name 4

%description devel
You should install this package if you wish to develop applications that
use ntfs-3g.


%prep
%setup -q
%patch0 -p1

%build
%configure2_5x \
	--exec-prefix=/ \
	--bindir=/bin \
	--libdir=/%_lib \
	--sbindir=/sbin \
	--disable-ldconfig \
%if %build_external_fuse
	--with-fuse=external
%else
	--with-fuse=internal
%endif
%make

%install
rm -rf %{buildroot}
sed -i -e 's|/sbin/ldconfig|true|' src/Makefile
%makeinstall_std

# make the symlink an actual copy to avoid confusion
rm -rf %buildroot/sbin/mount.ntfs-3g
cp -a %buildroot/bin/ntfs-3g %buildroot/sbin/mount.ntfs-3g

# .pc file should always be there
mkdir -p %buildroot%_libdir
mv -f %buildroot/%_lib/pkgconfig %buildroot%_libdir/pkgconfig

# remove doc files, as we'll cp them later
rm -fr %buildroot/%_datadir/doc

mkdir -p %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/
install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/hal/fdi/policy/10osvendor/

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post  -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun  -p /sbin/ldconfig
%endif


%files
%defattr (-,root,root)
%doc README AUTHORS CREDITS NEWS
/bin/ntfs-3g
/bin/ntfs-3g.probe
%{_mandir}/man8/*
%if %build_external_fuse
%attr(754,root,fuse) /sbin/mount.ntfs-3g
%else
%attr(754,root,root) /sbin/mount.ntfs-3g
%endif
%{_datadir}/hal/fdi/policy/10osvendor/10-ntfs-3g-policy.fdi
/%{_lib}/libntfs-3g.so.*

%files devel
%defattr(-,root,root)
%doc ChangeLog
/%{_lib}/libntfs-3g.so
%{_includedir}/ntfs-3g
/%{_lib}/libntfs-3g*a
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Sep 19 2008 Funda Wang <fundawang@mandriva.org> 1.2918-1mdv2009.0
+ Revision: 285808
- New version 1.2918

* Sat Aug 16 2008 Funda Wang <fundawang@mandriva.org> 1.2812-2mdv2009.0
+ Revision: 272609
- New version 1.2812

* Tue Jul 29 2008 Funda Wang <fundawang@mandriva.org> 1.2712-2mdv2009.0
+ Revision: 252183
- fix perms (bug#42306)
- remove incorrect doc dir

* Tue Jul 15 2008 Funda Wang <fundawang@mandriva.org> 1.2712-1mdv2009.0
+ Revision: 235723
- New version 1.2712
- use internal fuse even in cooker, as external dependency requires fuse 2.8

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Funda Wang <fundawang@mandriva.org> 1.2531-1mdv2009.0
+ Revision: 213061
- New version 1.2531

* Wed May 07 2008 Funda Wang <fundawang@mandriva.org> 1.2506-1mdv2009.0
+ Revision: 202735
- New version 1.2506

* Tue Apr 15 2008 Funda Wang <fundawang@mandriva.org> 1.2412-1mdv2009.0
+ Revision: 193607
- New version 1.2412
- obsoletes libntfs-3g, as it produces too many libmajor, and it is not used by other packages
- New version 1.2310
- add fedora patch to fix rhbug#403291 (ignore -n option)

* Mon Feb 18 2008 Funda Wang <fundawang@mandriva.org> 1.2216-1mdv2008.1
+ Revision: 171456
- New version 1.2216

* Fri Feb 08 2008 Funda Wang <fundawang@mandriva.org> 1.2129-4mdv2008.1
+ Revision: 164013
- move prefix from /usr to /, which solve the problems if
  /usr is not mounted at boot time.

* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 1.2129-3mdv2008.1
+ Revision: 161148
- mount.ntfs-3g should be in /sbin rather thatn /usr/sbin (bug#37352)

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 1.2129-2mdv2008.1
+ Revision: 159884
- fuse is not required for old distro
- add conditional building for fuse

* Tue Jan 29 2008 Funda Wang <fundawang@mandriva.org> 1.2129-1mdv2008.1
+ Revision: 159810
- New version 1.2129

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Funda Wang <fundawang@mandriva.org> 1.1120-1mdv2008.1
+ Revision: 110711
- New version 1.1104
- New major ( 14-> 16 )

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 1.1104-2mdv2008.1
+ Revision: 106394
- rebuild for new lzma

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 1.1104-1mdv2008.1
+ Revision: 106003
- New version 1.1104

* Thu Nov 01 2007 Funda Wang <fundawang@mandriva.org> 1.1030-1mdv2008.1
+ Revision: 104318
- New version 1.1030
- New major ( 13 -> 14 )

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 1.1004-2mdv2008.1
+ Revision: 98262
- drop README.install.urpmi, as our kernel is new enough

* Tue Oct 09 2007 Funda Wang <fundawang@mandriva.org> 1.1004-1mdv2008.1
+ Revision: 96173
- New major
- New version 1.1004

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 1.826-1mdv2008.0
+ Revision: 75140
- New major
- New version 1.826

* Sun Aug 12 2007 Funda Wang <fundawang@mandriva.org> 1.810-1mdv2008.0
+ Revision: 62256
- new major
- New version 1.810

* Thu Jul 26 2007 Helio Chissini de Castro <helio@mandriva.com> 1.710-2mdv2008.0
+ Revision: 56065
- Elegant solution from ArchLinux to enable hal backends to use ntfs-3g instead of standard ntfs
  driver. KDE now mount external and local ntfs storage devices rw by default as long ntfs-3f is
  installed. gnome-mount is not affected, as use different strategy.

  + Götz Waschk <waschk@mandriva.org>
    - fix doc file listing

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 1.710-1mdv2008.0
+ Revision: 52424
- new version
- rename devel package

* Sun Jun 24 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.616-1mdv2008.0
+ Revision: 43669
- new version: 1.616
- new major

* Fri May 25 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.516-1mdv2008.0
+ Revision: 31052
- build on all architectures (worked just fine on my sparc :)
- new release: 1.516
  new major
  add url to source


* Thu Feb 22 2007 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2007.0
+ Revision: 124370
- fix description
- fix group
- add warning about FUSE version

  + Frederic Crozat <fcrozat@mandriva.com>
    - Fix description

* Wed Feb 21 2007 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2007.1
+ Revision: 123213
- new version
- fix build
- remove warning at installation, this isn't considered beta anymore

  + Thierry Vignaud <tvignaud@mandriva.com>
    - new URL

  + Jérôme Soyer <saispo@mandriva.org>
    - Import ntfs-3g

* Tue Sep 26 2006 Couriousous <couriousous@mandriva.org> 0.1-0.20070920.1mdv2007.0
- 20070920-BETA

* Fri Jul 21 2006 Couriousous <couriousous@mandriva.org> 0.1-0.20070714.2mdv2007.0
- Some spec cleanup
- Build only on ix86
- Upload to contrib

* Thu Jul 20 2006 Davide Duina <davide.duina_AT_gmail_DOT_com> 0.1-0.20070714.1mdv2007.0
- First version, based on Beta 20070714

